{
  "name": "@alveojs/common",
  "version": "1.0.0",
  "description": "Common types, decorators and interfaces for Alveo DI container",
  "main": "./dist/index.js",
  "module": "./dist/index.mjs",
  "types": "./dist/index.d.ts",
  "exports": {
    ".": {
      "types": "./dist/index.d.ts",
      "import": "./dist/index.mjs",
      "require": "./dist/index.js",
      "default": "./dist/index.mjs"
    }
  },
  "files": [
    "dist"
  ],
  "type": "module",
  "private": false,
  "peerDependencies": {
    "reflect-metadata": "^0.2.2",
    "typescript": "^5"
  },
  "dependencies": {
    "reflect-metadata": "^0.2.2"
  },
  "devDependencies": {
    "@biomejs/biome": "^2.3.11",
    "@types/bun": "latest",
    "typescript": "^5.0.0"
  },
  "scripts": {
    "build": "rm -rf dist && bun build ./src/index.ts --outfile ./dist/index.mjs && bun build ./src/index.ts --outfile ./dist/index.js && tsc --project tsconfig.build.json",
    "format": "biome format",
    "lint": "biome lint",
    "typecheck": "tsc --noEmit"
  }
}
